export type OperateLogVO = {
    id: number
    userNickname: string
    traceId: string
    userId: number
    module: string
    name: string
    type: number
    content: string
    exts: Map<String, Object>
    requestMethod: string
    requestUrl: string
    userIp: string
    userAgent: string
    javaMethod: string
    javaMethodArgs: string
    startTime: Date
    duration: number
    resultCode: number
    resultMsg: string
    resultData: string
}

export interface OperateLogPageReqVO extends PageParam {
    module?: string
    userNickname?: string
    type?: number
    success?: boolean
    startTime?: Date[]
}


export interface LoginLogVO {
    id: number
    logType: number
    traceId: number
    userId: number
    userType: number
    username: string
    status: number
    userIp: string
    userAgent: string
    createTime: Date
}

export interface LoginLogReqVO extends PageParam {
    userIp?: string
    username?: string
    status?: boolean
    createTime?: Date[]
}
